<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'valeryus19';
	var $fnombre;
	var $n_reg;
	var $tip_ven;
	//var $modulo;
	//var $des_cor;
	var $acc_fec;
	var $acc_hor;
	var $usuario;
	var $npartes;
	
	var $status;
	var $lastInsId;
	var $t1;
	
	//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($con ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (fnombre, fapellido, ftiphuesped, ftelefono, ftelemp, fmail, femail, fdireccion, fnumadu, fnummenor, fcodagen, fcodmeca, smerf, fempresa, fplan, codseg, fformpago, fnumtar, fcodseg, fsaldo, flimite, fcodgrupo, fnorasvip, status, fhorallega, ftipocto) values ('$this->fnombre', '$this->fapellido', '$this->ftiphuesped', '$this->ftelefono', '$this->ftelemp', '$this->fmail', '$this->femail', '$this->fdireccion', '$this->fnumadu', '$this->fnummenor', '$this->fcodagen', '$this->fcodmeca', '$this->smerf', '$this->fempresa', '$this->fplan', '$this->codseg', '$this->fformpago', '$this->fnumtar', '$this->fcodseg', '$this->fsaldo', '$this->flimite', '$this->fcodgrupo', '$this->fnorasvip', '$this->status', '".date('H:i:s')."', '$this->ftipocto')";	   
		$result = mysqli_query($con ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = $_POST['pos_pun_ven']";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($con ,'select n_reg from pplan order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET pdescrip='$this->pdescrip',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['usuario']."',cod_var='$this->cod_var' where n_reg ='$n_reg'";
		
		$result= mysqli_query($con ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($con ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}           
	}   
}       
?>